# Types

There are eight groups of effect types. Each effect type has its own set of attributes.

## Account Effects

&#x20;\- TYPE  OPERATION(S) -&#x20;

* Account Created

  create\_account
* Account Removed

  merge\_account
* Account Credited

  create\_account, payment, path\_payment, merge\_account
* Account Debited

  create\_account, payment, path\_payment, merge\_account
* Account Thresholds Updated

  set\_options
* Account Home Domain Updated

  set\_options
* Account Flags Updated

  set\_options
* Account Inflation Destination Updated

  set\_options

#### Signer Effects

* Signer Created

  set\_options
* Signer Removed

  set\_options
* Signer Updated

  set\_options

#### Trustline Effects

* Trustline Created

  change\_trust
* Trustline Removed

  change\_trust
* Trustline Updated

  change\_trust, allow\_trust
* Trustline Authorized

  allow\_trust
* Trustline Deauthorized

  allow\_trust

#### Trading Effects

* Offer Created

  manage\_buy\_offer, manage\_sell\_offer, create\_passive\_sell\_offer
* Offer Removed

  manage\_buy\_offer, manage\_sell\_offer, create\_passive\_sell\_offer, path\_payment
* Offer Updated

  manage\_buy\_offer, manage\_sell\_offer, create\_passive\_sell\_offer, path\_payment
* Trade

  manage\_buy\_offer, manage\_sell\_offer, create\_passive\_sell\_offer, path\_payment

#### Data Effects

* Data Created

  manage\_data
* Data Removed

  manage\_data
* Data Updated

  manage\_data

#### Claimable Balance Effects

* Claimable Balance Created

  create\_claimable\_balance
* Claimable Balance Claimant Created

  create\_claimable\_balance
* Claimable Balance Claimed

  claim\_claimable\_balance

#### Sponsorship Effects

* Account Sponsorship Created

  create\_account
* Account Sponsorship Updated

  revoke\_sponsorship
* Account Sponsorship Removed

  revoke\_sponsorship
* Trustline Sponsorship Created

  change\_trust
* Trustline Sponsorship Updated

  revoke\_sponsorship
* Trustline Sponsorship Removed

  revoke\_sponsorship
* Account Data Sponsorship Created

  manage\_data
* Account Data Sponsorship Updated

  revoke\_sponsorship
* Account Data Sponsorship Removed

  revoke\_sponsorship
* Claimable Balance Sponsorship Created

  create\_claimable\_balance
* Claimable Balance Sponsorship Updated

  revoke\_sponsorship
* Claimable Balance Sponsorship Removed

  revoke\_sponsorship
* Account Signer Sponsorship Created

  set\_options
* Account Signer Sponsorship Updated

  revoke\_sponsorship
* Account Signer Sponsorship Removed

  revoke\_sponsorship

#### Miscellaneous Effects

* Sequence Bumped

  bump\_sequence


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.docs.bantufoundation.org/api/resources/effects/types.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
